Bug 71733 - /usr/share/xemacs-21.4.6/lisp/simple.el mis-configured. important functions are commented out that result in runtime errors. a specified example is deactivate-mark void error.
/usr/share/xemacs-21.4.6/lisp/simple.el mis-configured. important functions ...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xemacs (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-17 04:26 EDT by Jeff Suttor
Modified: 2015-01-07 18:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-17 04:26:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Suttor 2002-08-17 04:26:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
/usr/share/xemacs-21.4.6/lisp/simple.el has important logic commented out.  this
logic is used by common applications for XEmacs users such as:

  http://jdee.sunsite.dk/

the user experiences a deactivate-mark void error message and the  XEmacs
function stops in mid execution often leaving the content being edited in an
invalid state.  note that deactivate-mark is probably not the only important
thing that is commented out in simple.el.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
invoke any XEmacs function that uses deactivate-mark.

Actual Results:  the user receives a deactivate-mark void error message and the
XEmacs function exits leaving the buffer being edited in an invalid state.

Expected Results:  the function should have completed.

Additional info:

the simplest way for most users to work around this is to edit ~/.xemacs/init.el
and add:

;; the following was missing/commented out of
;; /usr/share/xemacs-21.4.6/lisp/simple.el and is necessary to run
;; JDEE.  it appears to have originate with FSFmacs and is used by
;; tempo template.  it appears to be the minimum necessary to use JDEE.
(defvar mark-active nil)
(defsubst deactivate-mark ()
  (if transient-mark-mode
      (progn
    (setq mark-active nil)
    (run-hooks 'deactivate-mark-hook))))
Comment 1 Trond Eivind Glomsrxd 2002-08-23 19:15:54 EDT
xemacs-21.4.8-15 has a much updated simple.el

Note You need to log in before you can comment on or make changes to this bug.